

<div class="container ml-5" id="detail-section">
    <div class="row row-section">
        <div class="col-md-3">
            <button class="btn btn-primary mr-4 mt-3" (click)="goBack()" mat-raised-button color="primary"
                data-toggle="tooltip" data-placement="top" title="Ver usuario"><i class="fa fa-chevron-circle-left"
                    aria-hidden="true"></i>Regresar</button>

        </div>
        
    </div>

    <div class="row row-section">
        <div class="col-md-12 info-general">
            <div class="col-md-7">
                <mat-label class="titleInfo">Nombre: </mat-label>
                <textarea cols="50" class="labelInfo" [(ngModel)]="fullName" disabled></textarea>
                <div class="row">
                    <div class="col-md-12">
                        <mat-label class="titleInfo">Oferta: </mat-label>
                        <input class="labelInfo" matInput type="text" [(ngModel)]="oferta" disabled>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <mat-label class="titleInfo">Referencia: </mat-label>
                        <input class="labelInfo" matInput type="text" [(ngModel)]="tag" disabled>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <mat-label class="titleInfo">Comercio: </mat-label>
                        <input class="labelInfo" matInput type="text" [(ngModel)]="comercio" disabled>
                    </div>
                </div>
            </div>
            <div class="col-md-5">
                <div class="row">
                    <div class="col-md-12">
                        <mat-label class="titleInfo">ID TRACK: </mat-label>
                        <input class="labelInfo" matInput type="text" [(ngModel)]="idTrack" disabled>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <mat-label class="titleInfo">Status: </mat-label>
                        <input class="labelInfo" matInput type="text" [(ngModel)]="score" disabled>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <mat-label class="titleInfo">Duplicidad: </mat-label>
                        <input class="labelInfo" matInput type="text" [(ngModel)]="duplicated" disabled>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12" *ngIf="score != 'PASS'">
                        <button class="btn btn-warning mr-4 mt-3" (click)="retrieEvaluation()" mat-raised-button color="warning"
                            data-toggle="tooltip" data-placement="top" title="Ver usuario" style="margin-top:1%">Reevaluar</button>
            
                    </div>
                </div>
            </div>            
        </div>
    </div>


    <mat-tab-group (selectedTabChange)="onTabChanged($event)" id="tabGroup">
        <mat-tab label="Información general">
            <div>

                <div class="card card-detail-name">
                    <div class="row row-section">
                        <div class="col-md-4">
                            <mat-label class="label-input">ID TRACK: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="idTrack" disabled>

                        </div>
                        <div class="col-md-4">
                            <mat-label class="label-input">Fecha: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="date" disabled>
                        </div>
                        <div class="col-md-4">
                            <mat-label class="label-input">Status: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="score" disabled>
                        </div>
                    </div>
                    <div class="row row-section">
                        <div class="col-md-4">
                            <mat-label class="label-input">Nombre: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="fullName" disabled>
                        </div>
                        <div class="col-md-4">
                            <mat-label class="label-input">Correo: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="email" disabled>
                        </div>
                        <div class="col-md-4">
                            <mat-label class="label-input">Teléfono: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="cellphone" disabled>
                        </div>
                    </div>

                    <div class="row row-section">
                        <div class="col-md-4">
                            <mat-label class="label-input">Curp: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="curp" disabled>
                        </div>

                        <div class="col-md-4">
                            <mat-label class="label-input">Cumpleaños: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="birthday" disabled>
                        </div>
                        <div class="col-md-4">
                            <mat-label class="label-input">Edad: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="age" disabled>
                        </div>
                    </div>

                    

                    <div class="row row-section">
                        <div class="col-md-4">
                            <mat-label class="label-input">País: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="pais" disabled>
                        </div>

                        <div class="col-md-4" *ngIf="showAsalariado">
                            <mat-label class="label-input">Asalariado: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="asalariado" disabled>
                        </div>
                    </div>

                    <div *ngIf="showDatosAdicionales" >
                        <div class="row row-section">
                            <h5 class="document-title" style="margin-left: 1%;">Datos adicionales</h5>
                            <div class="col-md-4" *ngFor ="let dato of this.datosAdicionalesArray;">
                                <mat-label class="label-input">{{dato.name}}</mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{dato.value}}" disabled>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="showPersonaMoral" >
                        <h5 class="document-title" style="margin-left: 1%;">Persona Moral</h5>
                        <div class="col-md-4">
                            <mat-label class="label-input">Nombre: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="nombrePersonaMoral" disabled>
                        </div>

                        <div class="col-md-4" >
                            <mat-label class="label-input">RFC: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="rfcPersonaMoral" disabled>
                        </div>
                    </div>

                    <div *ngIf="showComprobante" >
                        <div class="row row-section">
                            <h5 class="document-title" style="margin-left: 1%;">Dirección de comprobante:</h5>
                        </div>
                        <div class="row">
                            <h5 class="document-title" style="margin-left: 1%;"></h5>
                            <div class="col-md-4">
                                <mat-label class="label-input">Calle: </mat-label>
                                <input class="titleInpunt" matInput type="text" [(ngModel)]="comprobanteCalle" disabled>
                            </div>
                            <div class="col-md-4">
                                <mat-label class="label-input">Colonia: </mat-label>
                                <input class="titleInpunt" matInput type="text" [(ngModel)]="comprobanteColonia" disabled>
                            </div>
                            <div class="col-md-4">
                                <mat-label class="label-input">Referencia: </mat-label>
                                <input class="titleInpunt" matInput type="text" [(ngModel)]="comprobanteReferencia" disabled>
                            </div>
                        </div>
                    </div>

                    

                    <div class="row row-section">
                        <div class="col-md-4"  *ngIf="this.userRole == 'AdministradorMit' || this.userRole == 'Director' ">
                            <div class="row">
                                <div class="col-md-5">
                                    <mat-label class="label-input">Cambiar estatus <br> del trámite: </mat-label>
                                </div>
                                <div class="col-md-6">
                                    <label class="switch">
                                        <input type="checkbox" id="changeStatus" (change)="ckeckChangeStatus()">
                                        <span class="slider round"></span>
                                    </label>
                                </div>
                            </div>
                        
                        </div>

                    </div>

                    

                </div>

                <div class="card card-detail-name" *ngIf="showStatusChange">
                    <div class="row formChangeStatus">
                        <div class="col-md-12">
                            <h5>Para cambiar de estatus debe llenar los siguientes campos</h5>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">
                            <div class="dropdown">
                                <select class="browser-default custom-select" #mySelectStatus (change)='changeSelectStatus(mySelectStatus.value)'
                                  name="nombre" class="form-control" id="selectStatus">
                                  <option value="0">Seleccionar un estatus</option>
                                  <option value="PASS" *ngIf="PASSVALUE">PASS</option>
                                  <option value="REJECTED" *ngIf="REJECTEDVALUE">REJECTED</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-5">
                            <input type="text" class="form-control" placeholder="Motivo del cambio de estatus" required id="descriptionChange">
                        </div>
                        <div class="col-md-5">
                            <input type="text" class="form-control" placeholder="Persona que autoriza" required id="authorizationPerson">
                        </div>
                    </div>

                    <div *ngIf="showBlackListSection">
                        <div class="row row-section">
                            <div class="col-md-12">
                                <h6>Seleccione los valores que desea enviar a las listas negras</h6>
                            </div>
                        </div>
                        <div class="row row-section">
                            <div class="col-md-4">
                                <input type="checkbox" id="emailBlackList" name="emailBlackList" value="{{email}}">
                                <label class="label-check"  for="emailBlackList">{{email}}</label><br>
                            </div>

                            <div class="col-md-4">
                                <div class="dropdown">
                                    <select id="motiveEmail" name="motiveEmail" class="form-control form-control-lg custom-select">
                                      <option value="0">Seleccionar una opción</option>
                                      <option value="Fraude">Fraude</option>
                                      <option value="Reporte por contracargo">Reporte por contracargo</option>
                                      <option value="Determinación no Fraude">Determinación no Fraude</option>
                                      <option value="Vendedor">Vendedor</option>
                                      <option value="Otros">Otros</option>
                                      
                                    </select>
                                  </div>
                            </div>
                            <div class="col-md-4">
                                <textarea placeholder="Descripción" id="commentEmail" name="commentEmail" rows="2" cols="50" required></textarea>
                            </div>
                            
                        </div>
                        <div class="row">
                            <span *ngIf="showAlertBlackList" style="color: red;">Para enviar el Correo a listas negras los campos son obligatorios </span>
                        </div>
                        <div class="row row-section">
                            <div class="col-md-4">
                                <input type="checkbox" id="rfcBlackList" name="rfcBlackList" value="{{rfcValue}}">
                                <label class="label-check" for="rfcBlackList">{{rfcValue}}</label><br>
                            </div>
                            <div class="col-md-4">
                                <div class="dropdown">
                                    <select id="motiveRFC" name="motiveRFC" class="form-control form-control-lg custom-select">
                                      <option value="0">Seleccionar una opción</option>
                                      <option value="Fraude">Fraude</option>
                                      <option value="Reporte por contracargo">Reporte por contracargo</option>
                                      <option value="Determinación no Fraude">Determinación no Fraude</option>
                                      <option value="Vendedor">Vendedor</option>
                                      <option value="Otros">Otros</option>
                                      
                                    </select>
                                  </div>
                            </div>
                            <div class="col-md-4">
                                <textarea placeholder="Descripción" id="commentRFC" name="commentRFC" rows="2" cols="50" required></textarea>
                            </div>
                            
                        </div>
                        <div class="row">
                            <span *ngIf="showAlertBlackListRFC" style="color: red;">Para enviar un el RFC a listas negras los campos son obligatorios </span>
                        </div>
                    </div>

                    <div *ngIf="showErrorStatus">
                        <span style="color:red">Verifique que todos los campos esten llenos</span>
                    </div>

                    <div class="row row-section text-left">
                        <div class="col-md-12">
                            <button (click)="saveStatus()" class="btn btn-primary mr-4 mt-3" >Guardar</button>
                        </div>
                    </div>
                </div>
                




            </div>
        </mat-tab>

        <mat-tab label="Biometricos" *ngIf="tabBiometrics" data-color="cars">
            <div class="card card-detail">
                <div class="row row-section">
                    <div class="col-md-4">
                        <mat-label class="label-input">Resultado final:</mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="resultBiometricsStatus" disabled>
                    </div>
                </div>
                <div class="row row-section">
                    <h5 style="margin-left: 1%;">Las reglas aplicadas fueron:</h5>
                </div>

                <div class="row row-section" *ngFor ="let ruleSet of this.resultBiometricsRules;">
                    <div class="col-md-3">
                        <mat-label class="label-input">Nombre: </mat-label>
                        <input class="titleInpunt" matInput type="text" value="{{ruleSet.name}}" disabled>
                    </div>
                    <div class="col-md-3">
                        <mat-label class="label-input">Categoría: </mat-label>
                        <input class="titleInpunt" matInput type="text" value="{{ruleSet.category}}" disabled>

                    </div>
                    <div class="col-md-3">
                        <mat-label class="label-input">Resultado: </mat-label>
                        <input class="titleInpunt" matInput type="text" value="{{ruleSet.result}}" disabled>
                    </div>
                    <div class="col-md-3">
                        <mat-label class="label-input">Mensaje: </mat-label>
                        <input class="titleInpunt" matInput type="text" value="{{ruleSet.message}}" disabled>
                    </div>
                </div>
            </div>

        </mat-tab>

        <mat-tab label="Listas Negras" *ngIf="tabBlackList">
            <div class="card card-detail">
                <div class="row row-section">
                    <div class="col-md-6">
                        <mat-label class="label-input">Estatus: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="blackListResult" disabled>

                    </div>
                    <div class="col-md-6">
                        <mat-label class="label-input">Mensaje: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="blackListMessage" disabled>
                    </div>

                </div>
            </div>

        </mat-tab>

        <mat-tab label="RFC" *ngIf="tabRFC">
            <div class="card card-detail">
                <div class="row row-section">
                    <div class="col-md-6">
                        <mat-label class="label-input">Estatus: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="rfcResult" disabled>

                    </div>
                    <div class="col-md-6">
                        <mat-label class="label-input">Mensaje: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="rfcMessage" disabled>
                    </div>

                </div>
            </div>

        </mat-tab>

        <mat-tab label="Clabe" *ngIf="tabClabe">
            <div class="card card-detail">
                <div class="row row-section">
                    <div class="col-md-6">
                        <mat-label class="label-input">Estatus: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="clabeResult" disabled>

                    </div>
                    <div class="col-md-6">
                        <mat-label class="label-input">Mensaje: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="clabeMessage" disabled>
                    </div>
                </div>

                <div class="row row-section">
                    <div class="col-md-8">
                        <mat-label class="label-input">Información H2H: </mat-label>
                        <textarea rows="15" class="titleInpunt" matInput type="text" [(ngModel)]="clabeInfoH2H" disabled></textarea>
                    </div>

                </div>

            </div>

        </mat-tab>

        <mat-tab label="GPS" *ngIf="tabGPS">
            <div class="card card-detail-name">
                <!--
                <div class="row row-section">
                    <div class="col-md-4">
                        <mat-label class="label-input">Estatus: </mat-label>
                        <input class="titleInpunt" matInput type="text" disabled>

                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">Geolocalization match to country code: </mat-label>
                        <input class="titleInpunt" matInput type="text" disabled>

                    </div>
                </div>-->

                <div class="map-containerGPS">
                    <div class="map-frameGPS">
                      <div id="mapGPS"></div>
                    </div>
                  </div>

            </div>
        </mat-tab>

        <mat-tab label="Huella" *ngIf="tabFingerPrint">
            <div class="card card-detail-name">
                <div class="row row-section">
                    <div class="col-md-4">
                        <mat-label class="label-input">Estatus: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintResult" disabled>

                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">Geolocalization match to country code: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintCountry" disabled>

                    </div>

                    <div class="col-md-4">
                        <mat-label class="label-input">Bot identification: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintBot" disabled>

                    </div>

                </div>
                <div class="row row-section">

                    <div class="col-md-4">
                        <mat-label class="label-input">Request Id: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintRequestID" disabled>

                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">Visitor Id: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintVisitorID" disabled>

                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">Tag: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintTag" disabled>
                    </div>

                </div>
                <div class="row row-section">
                    <div class="col-md-4">
                        <mat-label class="label-input">Incognito: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintIncognito" disabled>
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">URL: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintURL" disabled>
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">IP: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintIP" disabled>
                    </div>
                </div>

                <div class="row row-section">
                    <div class="col-md-4">
                        <mat-label class="label-input">browserName: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintBrowser" disabled>
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">browserFullVersion: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintBrowserFullVersion"
                            disabled>
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">Sistema Operativo: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintSO" disabled>
                    </div>
                </div>

                <div class="row row-section">
                    <div class="col-md-4">
                        <mat-label class="label-input">Dispositivo: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintDevice" disabled>
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">userAgent: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintUserAgent" disabled>
                    </div>
                    <div class="col-md-4">
                        <mat-label class="label-input">botProbability: </mat-label>
                        <input class="titleInpunt" matInput type="text" [(ngModel)]="fingerPrintBotProbability"
                            disabled>
                    </div>

                </div>

                <div class="row row-section">
                    <div class="col-md-4">
                        <mat-label class="label-input">Bot Autentication: </mat-label>
                        <textarea class="titleInpunt" rows="29" cols="50" matInput type="text" [(ngModel)]="fingerPrintBotAuth" disabled></textarea>
                    </div>
                </div>

            </div>

            

            <div class="map-container">
                <div class="map-frame">
                  <div id="mapid"></div>
                </div>
              </div>

              
              

        </mat-tab>

        <mat-tab label="Documentos" *ngIf="tabDocuments">
            <div class="card card-detail">
                <div class="identification-section" *ngIf="showContract">
                    <div class="row row-section row-center">
                        <h5 class="document-title">CONTRATO</h5>
                            <div class="col-md-12">
                                <div class="row row-center">
                                    <img src="../../../../assets/img/contrato_v2.png" alt="contrato" width="15%">
                                </div>
                                <div class="row row-center">
                                    <button class="btn btn-primary mr-4 mt-3" (click)="downloadPDF()"  mat-raised-button color="primary"
                                    data-placement="top">Visualizar contrato</button>
                                    <!-- <button class="btn btn-primary mr-4 mt-3" (click)="seeDocument(fileAttach)" >Visualizar {{fileAttach.name}}</button> -->
                                    <!-- <button class="btn-success" >Descargar contrato</button> -->
                                </div>
                            </div>
                            <!-- <div class="col-md-6">
                                <div class="row row-center">
                                   
                                    <button (click)="downloadPDF()">Descargar contrato</button>
                                </div>
                            </div> -->
                    </div> 
                </div>
                <div class="identification-section" *ngIf="showConservation">
                    <div class="row row-section row-center">
                        <h5 class="document-title">DOCUMENTO DE CONSERVACIÓN</h5>
                            <div class="col-md-12">
                                <div class="row row-center">
                                    <img src="../../../../assets/img/contrato_v2.png" alt="contrato" width="15%">
                                </div>
                                <div class="row row-center">
                                    <!-- <a class="btn btn-primary mr-4 mt-3" [href]="urlConservation" target="_blank">Visualizar documento</a> -->
                                    <button class="btn btn-primary mr-4 mt-3" (click)="downloadPDFConservation()"  mat-raised-button color="primary"
                                    data-placement="top">Visualizar Documento de Conservación</button>
                                    <!-- <button class="btn btn-primary mr-4 mt-3" (click)="seeDocument(fileAttach)" >Visualizar {{fileAttach.name}}</button> -->
                                    <!-- <button class="btn-success" >Descargar contrato</button> -->
                                </div>
                            </div>
                            <!-- <div class="col-md-6">
                                <div class="row row-center">
                                   
                                    <button (click)="downloadPDF()">Descargar contrato</button>
                                </div>
                            </div> -->
                    </div> 
                </div>
                <div class="identification-section" *ngIf="identificationView">
                    <div class="row row-section row-center">
                        <h5 class="document-title">IDENTIFICACIÓN</h5>
                        <div *ngFor="let image of images">
                            <div class="col-md-6">
                                <div class="row row-center">
                                    <img class="img-document" [src]="image[1] && image[1] != null && image[1].value?'data:image/JPG;base64,'+ image[1].value:  ( image[1] && image[1] != null && image[1].Location? image[1].Location: '')">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="identification-section" *ngIf="showFilesAttachments">
                    <div class="row row-section row-center">
                        <h5 class="document-title">ARCHIVOS ADJUNTOS</h5>
                        <div *ngFor="let fileAttach of fileAttachments">
                            <div class="col-md-6">
                                <div class="row row-center">
                                    <img src="../../../../assets/img/contrato_v2.png" alt="contrato" width="15%">
                                </div>
                                <div class="row row-center">
                                    <!-- <a class="btn btn-primary mr-4 mt-3" href="{{fileAttach.location ? fileAttach.location : fileAttach.value}}" target="_blank">Visualizar {{fileAttach.name}}</a> -->
                                    <button class="btn btn-primary mr-4 mt-3" (click)="seeDocument(fileAttach)" >Visualizar {{fileAttach.name}}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="section-selfie" *ngIf="selfieView || liveView">
                    <div class="row row-section row-center">
                        <h5 class="document-title">Selfie & Prueba de vida</h5>                            
                        <div class="col-md-6">
                            <div class="row row-center">
                                <h5>Selfie</h5>
                                <img class="img-document" src="{{selfieImage}}" />      
                            </div>
                        </div>  
                        <div class="col-md-6">
                            <div class="row row-center">
                                <div class="section-selfie" *ngIf="liveView">
                                    <h5>Prueba de vida (Mejor captura)</h5>
                                    <img class="img-document" src="{{liveImage}}" />  
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="row row-center">
                                <div class="section-selfie" *ngIf="liveVideo">
                                    <h5>Prueba de vida</h5>                                        
                                    <video  width="320" height="240" controls><source src="{{liveVideo}}" type="video/mp4">Navegador no soportado.</video>
                                </div>
                            </div>
                        </div>       
                    </div> 
                </div> 
                
                <div class="identification-section" *ngIf="showComprobante">
                    <div class="row row-section row-center">
                        <h5 class="document-title">Comprobante de domicilio</h5>
                        <div>
                            <div class="col-md-6">
                                <div class="row row-center">
                                    <img class="img-document" src="{{this.comprobanteImage}}">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </mat-tab>

        <mat-tab label="Duplicidad" *ngIf="duplicatedTAB">
            <div class="card card-detail">
                <div id="duplicatedContainer">
                    <div class="row row-section" *ngFor="let rule of this.listRules; index as i">
                        <div class="ow row-section">
                            <div class="col-md-3">
                                <mat-label class="label-input">Nombre: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{rule.name}}" disabled>
                            </div>
                            <div class="col-md-3">
                                <mat-label class="label-input">Categoría: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{rule.category}}" disabled>
                            </div>
                            <div class="col-md-3">
                                <mat-label class="label-input">Estatus: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{rule.result}}" disabled>
                            </div>
                            <div class="col-md-3">
                                <mat-label class="label-input">Mensaje: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{rule.message}}" disabled>
                            </div>
                        </div>

                        <div class="row row-section" *ngIf="rule.mails">
                            <div class="col-md-12">
                                <div class="row row-section">
                                    <div class="col-md-12">
                                        <h6 style="margin-left: 1%;">
                                            Los valores duplicados para {{rule.name}} son:
                                        </h6>
                                    </div>
                                </div>
                                <div class="row row-section rowDelimited" *ngFor="let dataDuplicated of rule.mails; index as i">
                                    <div class="col-md-12">
                                        <div class="col-md-3">
                                            <mat-label class="label-input">Correo: </mat-label>
                                            <input class="titleInpunt" matInput type="text" value="{{dataDuplicated.correo}}" disabled>
                                        </div>
                                        <div class="col-md-3">
                                            <mat-label class="label-input">Fecha: </mat-label>
                                            <input class="titleInpunt" matInput type="text" value="{{dataDuplicated.fecha}}" disabled>
                                        </div>
                                    </div>
                                </div>
                            </div> 
                            <div>
                                <h4 style="text-align: center;"> ---------------------------------------------</h4>
                            </div>                      
                        </div> 
                    </div>
                    
                </div>
            </div>

        </mat-tab>


        <mat-tab label="Análisis Crediticio" *ngIf="ficoScoreTAB" > <!-- *ngIf="ficoScoreTAB"-->
            <div class="card card-detail">
                <div id="duplicatedContainer">
                    <div class="row row-section">
                        <mat-label class="label-input" style="margin-left: 1%;">FICO SCORE </mat-label>
                    </div>
                    <div class="row row-section">
                        <div class="col-md-4">
                            <mat-label class="label-input">Score: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="analisisScore" disabled>
    
                        </div>
                        <div class="col-md-4">
                            <mat-label class="label-input">Estatus </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="analisisEstatus" disabled>
    
                        </div>
                        <div class="col-md-4" *ngIf="errorFicoTrace">
                            <mat-label class="label-input">DataTrace </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="errorFicoTrace" disabled>
    
                        </div>
                    </div>

                    <div class="row row-section">
                        <mat-label class="label-input" style="margin-left: 1%;">Razones: </mat-label>
                    </div>

                    <div class="row-section" *ngFor="let razonAnalisis of listRazones; index as i">
                        <div class="row row-section">
                            <div class="col-md-4">
                                <mat-label class="label-input">Código: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{razonAnalisis.codigo}}" disabled>
                            </div>
                            <div class="col-md-8">
                                <mat-label class="label-input">Mensaje: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{razonAnalisis.mensaje}}" disabled>
                            </div>
                            <!--
                            <div class="col-md-4">
                                <mat-label class="label-input">Mensaje: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{razonAnalisis}}" disabled>
                            </div>-->
                        </div>
                    </div>

                    <div class="row row-section">
                        <div class="col-md-4">
                            <mat-label class="label-input">Regla: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="reglaFico" disabled>
    
                        </div>
                    </div>
                    
                </div>
            </div>

            <div class="card card-detail" *ngIf="fisScoreTAB">
                <div id="duplicatedContainer">
                    <div class="row row-section">
                        <mat-label class="label-input" style="margin-left: 1%;">FIS </mat-label>
                    </div>
                    <div class="row row-section">
                        <div class="col-md-4">
                            <mat-label class="label-input">SCORE: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="fisScore" disabled>
    
                        </div>

                        <div class="col-md-4">
                            <mat-label class="label-input">Resultado: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="fisResultado" disabled>
    
                        </div>
                    </div>

                    <!-- <div class="row-section" *ngFor="let razonFIS of listRazonesFIS; index as i">
                        <div class="row row-section">
                            <div class="col-md-4">
                                <mat-label class="label-input">Código: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{razonFIS.codigo}}" disabled>
                            </div>
                            <div class="col-md-8">
                                <mat-label class="label-input">Mensaje: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{razonFIS.mensaje}}" disabled>
                            </div>
                        </div>
                    </div> -->
                </div>
            </div>

        </mat-tab>


        <mat-tab label="Otras validaciones" *ngIf="(filtersLoaded | async) && (infoUser.globalScore.ine_nominal || infoUser.globalScore.curp || infoUser.globalScore.ofac || infoUser.globalScore.cedula || infoUser.globalScore.ss || infoUser.globalScore['69B'])">
            <div class="card card-detail">
                <div class="row row-section">
                    <div class="col-md-6">
                        <mat-label class="label-input">Información del usuario: </mat-label>
                        <br>
                        <mat-label *ngIf="infoUser.globalScore.ine_nominal" class="label-input">Ine nominal: </mat-label>
                        <textarea *ngIf="infoUser.globalScore.ine_nominal" style="resize:none" name="comentarios" rows="20" cols="80">{{infoUser.globalScore.ine_nominal | json}}</textarea>
                        <br>
                        <mat-label *ngIf="infoUser.globalScore.curp" class="label-input">Curp: </mat-label>
                        <textarea *ngIf="infoUser.globalScore.curp" style="resize:none" name="comentarios" rows="20" cols="80">{{infoUser.globalScore.curp | json}}</textarea>
                        <br>
                        <mat-label *ngIf="infoUser.globalScore.ofac" class="label-input">Ofac: </mat-label>
                        <textarea *ngIf="infoUser.globalScore.ofac" style="resize:none" name="comentarios" rows="20" cols="80">{{infoUser.globalScore.ofac | json}}</textarea>
                        <br>
                        <mat-label *ngIf="infoUser.globalScore['69B']" class="label-input">69B: </mat-label>
                        <textarea *ngIf="infoUser.globalScore['69B']" style="resize:none" name="comentarios" rows="20" cols="80">{{infoUser.globalScore['69B'] | json}}</textarea>
                    </div>
                </div>
                <div *ngIf="infoUser.globalScore.cedula" >
                    <div class="row row-section">
                        <h4>Cedula profesional</h4>
                    </div>

                    <div class="row row-section">
                        <h5>Información proporcionada por el usuario</h5>
                    </div>
                    
                    <div class="row row-section">
                        <div class="col-md-3">
                            <mat-label class="label-input">Año </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="anio" disabled>
                        </div>
                        <div class="col-md-3" id="divMessage" *ngIf="showMessageCP">
                            <mat-label class="label-input">Número: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="numero" disabled>
                        </div>
                        <div class="col-md-6">
                            <mat-label class="label-input">Nombre: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="nombre" disabled>
                        </div>
                        
                    </div>

                    <div class="row row-section">
                        <h5>Información recuperada de nubarium</h5>
                    </div>
                    
                    <div class="row row-section">
                        <div class="col-md-3">
                            <mat-label class="label-input">Código </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="cedulaCodigo" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Código de validación: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="cedulaValidacion" disabled>

                        </div>
                        <div class="col-md-3" id="divMessage" *ngIf="showMessageCP">
                            <mat-label class="label-input">Mensaje: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="cedulaMensaje" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Estatus Consulta: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="cedulaResultado" disabled>
                        </div>
                    </div>

                    

                    <div class="row row-section" *ngFor ="let ruleSet of this.resultCedulaRules;">
                        <div class="col-md-3">
                            <mat-label class="label-input">Nombre: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.name}}" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Categoría: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.category}}" disabled>

                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Mensaje: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.message}}" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Resultado: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.result}}" disabled>
                        </div>
                    </div>

                    <div *ngIf="showCedulas">
                        <div class="row row-section" *ngFor ="let cedula of this.cedulas;">
                            <div class="col-md-3">
                                <mat-label class="label-input">Número de cedula: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{cedula.cedula}}" disabled>
                            </div>
                            <div class="col-md-3">
                                <mat-label class="label-input">Institución: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{cedula.institucion}}" disabled>
    
                            </div>
                            <div class="col-md-3">
                                <mat-label class="label-input">Tipo: </mat-label>
                                <input class="titleInpunt" matInput type="text" value="{{cedula.tipo}}" disabled>
                            </div>
                            <div class="col-md-3">
                                <mat-label class="label-input">Título: </mat-label>
                                <textarea id="tituloCedula" rows="5" disabled>{{cedula.titulo}}</textarea>
                            </div>
                        </div>
                    </div>
                </div>

                <div *ngIf="infoUser.globalScore.ss" >
                    <div class="row row-section">
                        <h4>Seguro social</h4>
                    </div>
                    <div class="row row-section" *ngFor ="let ruleSet of this.resultSeguroSocialRules;">
                        <div class="col-md-3">
                            <mat-label class="label-input">Nombre: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.name}}" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Categoría: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.category}}" disabled>

                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Mensaje: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.message}}" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Resultado: </mat-label>
                            <input class="titleInpunt" matInput type="text" value="{{ruleSet.result}}" disabled>
                        </div>
                    </div>

                    <div class="row row-section" *ngIf="showDataSourceSS">
                        <div class="col-md-3">
                            <mat-label class="label-input">Fecha alta: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="dateAlta" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Fecha baja: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="dateBaja" disabled>

                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">Nombre del patrón: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="bossName" disabled>
                        </div>
                        <div class="col-md-3">
                            <mat-label class="label-input">código de validacion: </mat-label>
                            <input class="titleInpunt" matInput type="text" [(ngModel)]="codeValitation" disabled>
                        </div>
                    </div>
                </div>
            </div>
        </mat-tab>

        <mat-tab label="Fuente de datos" *ngIf="this.userRole == 'AdministradorMit'">
            <div class="card card-detail">
                <div class="row row-section">
                    <div class="col-md-6">
                        <mat-label class="label-input">Información del usuario: </mat-label>
                        <textarea style="resize:none" name="comentarios" rows="20" cols="80">{{infoUser | json}}</textarea>
                    </div>
                </div>
            </div>
        </mat-tab>



    </mat-tab-group>



</div>